Search for a guest

This API helps you to search for a guest in the specified center or in the whole organization based on the Zenoti org level setting "Search Guest Across Centers".

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example

  • SearchAcrossCenter = True && center_id = null => Org level search
  • SearchAcrossCenter = True && center_id = {center_id } => Center level search
  • SearchAcrossCenter = False && center_id = Null => Error
  • SearchAcrossCenter = False && center_id = {center_id } => Center Level Search

Pagination

You can also leverage the pagination feature by passing page and size query parameters if you have a large number of records to be displayed. By default, page is set as 1 and size is set as 10. size cannot be more than 100: which means that the maximum records per page cannot be more than 100.By default, this API searches for a guest in a center.

Zone level search

To search for a guest in the zone, use the following API:

{apiurl}/v1/guests/search?center_id={center_id}&first_name={first_name}&last_name={last_name}&zip_code={zip_code}&phone={phone}&tags={tags}&user_name={user_name}&user_code={user_code}&email={user_email}&search_across_zone={true}

Response Details

NameTypeDescription
guestsobjectObject that contains all the guests-related elements in the center.
page_infoobjectObject that contains page display-related elements of the guest records.
Query Params
string

Unique 32-character identifier of the center.

string

Optional Zip code of the guest's address.

int32
Defaults to 1

Optional Number of the display page. Default value is 1.

int32
Defaults to 10

Optional Number of records per page. Default value is 10.

string

Optional Username of the guest

string

Optional User code of the guest

string

Optional Phone number of the guest

string

Optional Email ID of the guest

string

Optional First name of the guest

string

Optional Last name of the guest

string

Optional Any tags associated with a guest

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json